Summary:	Trigger launcher - a launcher with two states
Summary(pl.UTF-8):	Trigger launcher - dwustanowy przełącznik
Name:		xfce4-trigger-launcher
Version:	4.2.4.1
Release:	7
License:	BSD
Group:		X11/Applications
#Source0:	http://hannelore.f1.fhtw-berlin.de/mirrors/xfce4/xfce-%{version}/src/%{name}-%{version}.tar.bz2
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	8d35a75cb7bbaec78a9a2f171dfa5571
Patch0:		%{name}-locale-names.patch
Patch1:		%{name}-ui.patch
URL:		http://www.xfce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
Requires:	xfce4-panel >= 4.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Trigger launcher - a launcher with two states.

%description -l pl.UTF-8
Trigger launcher - dwustanowy przełącznik.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv -f po/{pt_PT,pt}.po

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-trigger-launcher-plugin
%{_datadir}/xfce4/panel-plugins/xfce4-trigger-launcher.desktop
%changelog
* Tue Mar 31 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-trigger-launcher.git;a=log;h=master

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 100c382
- rebuild for XFCE 4.12
- release 7 (by relup.sh)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 753df2b
- x32 rebuild
- release 6 (by relup.sh)

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> c4bbe66
- release 5

* Wed Mar 02 2011 Jan Rękorajski <baggins@pld-linux.org> 46a3c3e
- rel 4
- port to libxfce4ui

* Thu Feb 17 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 821eefa
- release 3

* Mon Feb 04 2008 Jakub Bogusz <qboosh@pld-linux.org> cbbc3a2
- BR: intltool

* Sat Feb 02 2008 hawk <hawk@pld-linux.org> 045a4c6
- fixed build by adding %{__intltoolize}
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ec7c853
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ed9847e
- converted to UTF-8

* Sun Jan 28 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 4d38bad
- use dropin

* Sun Jan 28 2007 Marcin Banasiak <marcin.banasiak@gmail.com> fa5e8da
- updated to 4.2.4.1

* Sun Jan 28 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 366fff6
- updated for 4.2.4.1

* Wed Jul 05 2006 havner <havner@pld-linux.org> 8033146
- 4.2.3

* Thu Apr 20 2006 ankry <ankry@pld-linux.org> 403aa2a
- tab

* Fri May 20 2005 Robert Kurowski <koorek@pld-linux.org> 566daae
- updated to 4.2.2

* Fri May 20 2005 Robert Kurowski <koorek@pld-linux.org> b2bb678
- up to 4.2.2
- BR xfce4-dev-tools added

* Wed Mar 16 2005 Robert Kurowski <koorek@pld-linux.org> 1d86864
- updated to 4.2.1

* Mon Jan 17 2005 Michal Chruszcz <mchruszcz@gmail.com> 5a2a90a
- updated to 4.2.0 final

* Mon Jan 17 2005 Michal Chruszcz <mchruszcz@gmail.com> ee56861
- adjusted to 4.2.0

* Tue Dec 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 131c137
- updated to 4.1.99.3 (4.2 RC3)

